## node-supertest 0.14.0

=== Makefile ===

test:
	@NODE_TLS_REJECT_UNAUTHORIZED=0 ./node_modules/.bin/mocha \
		--require should \
		--reporter spec \
		--check-leaks

.PHONY: test

## node-supertest 0.13.0

=== debian/changelog ===
node-supertest (0.13.0-1) unstable; urgency=low

  * Initial release (Closes: #750219)

 -- Leo Iannacone <l3on@ubuntu.com>  Sat, 07 Jun 2014 16:29:58 +0200

=== debian/control ===
Source: node-supertest
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Leo Iannacone <l3on@ubuntu.com>
Build-Depends:
 debhelper (>= 8)
 , dh-buildinfo
 , nodejs
Standards-Version: 3.9.5
Homepage: https://github.com/visionmedia/supertest
Vcs-Git: git://anonscm.debian.org/pkg-javascript/node-supertest.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-javascript/node-supertest.git

Package: node-supertest
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
 , node-superagent
 , node-methods
Description: superagent driven library for testing HTTP servers
 This package provides a high-level abstraction for testing HTTP
 servers using the superagent Node.js module.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\?(debian|dfsg|ds|deb)\d*$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-supertest-$1.tar.gz/ \
 https://github.com/visionmedia/supertest/tags .*/archive/v?([\d\.]+).tar.gz

## node-supertest 0.14.0

=== debian/changelog ===
node-supertest (0.14.0-1) unstable; urgency=medium

  * Imported Upstream version 0.14.0
  * Bump Standards-Version 3.9.6
  * debian/watch: fix dversionmangle
  * Add autopkgtest suite

 -- Leo Iannacone <l3on@ubuntu.com>  Sun, 12 Oct 2014 15:08:44 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,9 @@
  debhelper (>= 8)
  , dh-buildinfo
  , nodejs
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://github.com/visionmedia/supertest
+XS-Testsuite: autopkgtest
 Vcs-Git: git://anonscm.debian.org/pkg-javascript/node-supertest.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-javascript/node-supertest.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:

# In debian we have express 4.x.
# Disabling tests untill this issue is open:
#  https://github.com/visionmedia/supertest/issues/140
override_dh_auto_test:

override_dh_installchangelogs:
	dh_installchangelogs -k History.md

=== debian/tests/control ===
Tests: require
Depends: node-supertest

## node-supertest 4.0.2

=== debian/changelog ===
node-supertest (4.0.2-3) unstable; urgency=medium

  * Team upload
  * Embed nock and propagate for autopkgtest
  * Disable failing ssl test
  * Enable upstream test during autopkgtest only to avoid circular dependency
    to node-express

 -- Xavier Guimard <yadd@debian.org>  Sun, 22 Dec 2019 12:24:51 +0100

node-supertest (4.0.2-2) unstable; urgency=medium

  * Team upload
  * Back to unstable after successful tests

 -- Xavier Guimard <yadd@debian.org>  Fri, 20 Dec 2019 18:57:53 +0100

node-supertest (4.0.2-1) experimental; urgency=medium

  * Team upload
  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.4.1
  * Add "Rules-Requires-Root: no"
  * Change section to javascript
  * Change priority to optional
  * Add debian/gbp.conf
  * Add upstream/metadata
  * Drop unneeded (build) dependency versions
  * New upstream version 4.0.2
  * Update doc files
  * Use pkg-js-tools auto install

 -- Xavier Guimard <yadd@debian.org>  Thu, 19 Dec 2019 23:05:47 +0100

=== debian/control ===
Source: node-supertest
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Leo Iannacone <l3on@ubuntu.com>
Section: javascript
Priority: optional
Build-Depends:
 debhelper-compat (= 12)
 , node-superagent <!nocheck>
 , node-methods <!nocheck>
 , pkg-js-tools (>= 0.9.20~)
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/js-team/node-supertest
Vcs-Git: https://salsa.debian.org/js-team/node-supertest.git
Homepage: https://github.com/visionmedia/supertest
Rules-Requires-Root: no

Package: node-supertest
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
 , node-superagent
 , node-methods
Description: superagent driven library for testing HTTP servers
 This package provides a high-level abstraction for testing HTTP
 servers using the superagent Node.js module.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with nodejs

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
override_dh_auto_test:
	# Disable test during build to avoid circular dependency to
	# node-express
	node -e 'require(".")'
endif

=== debian/tests/control ===
Test-Command: /usr/share/pkg-js-autopkgtest/runner require
Depends: @, nodejs, pkg-js-autopkgtest
Restrictions: superficial
Features: test-name=pkg-js-autopkgtest-require

Test-Command: /usr/share/pkg-js-autopkgtest/runner
Depends: @, pkg-js-autopkgtest,
 chai,
 mocha,
 node-cookie-parser,
 node-coveralls,
 node-deep-equal,
 node-express (>= 4.17.1-2),
 node-lodash,
 node-should
Restrictions: allow-stderr
Features: test-name=pkg-js-autopkgtest

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-supertest-$1.tar.gz/ \
 https://github.com/visionmedia/supertest/tags .*/archive/v?([\d\.]+).tar.gz

## node-supertest 6.0.1

=== debian/changelog ===
node-supertest (6.0.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 6.0.1
  * Refresh patches

 -- Xavier Guimard <yadd@debian.org>  Mon, 16 Nov 2020 18:15:59 +0100

node-supertest (4.0.2-5) unstable; urgency=medium

  * Team upload
  * Bump debhelper compatibility level to 13
  * Modernize debian/watch
  * Use dh-sequence-nodejs
  * Add missing autopkgtest dependency to node-json-stringify-safe

 -- Xavier Guimard <yadd@debian.org>  Mon, 16 Nov 2020 08:46:19 +0100

node-supertest (4.0.2-4) unstable; urgency=medium

  * Team Upload

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.

  [ Jérémy Lal ]
  * Fix test

 -- Jérémy Lal <kapouer@melix.org>  Sat, 25 Jul 2020 17:12:29 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Leo Iannacone <l3on@ubuntu.com>
 Section: javascript
+Testsuite: autopkgtest-pkg-nodejs
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12)
+ debhelper-compat (= 13)
  , node-superagent <!nocheck>
  , node-methods <!nocheck>
- , pkg-js-tools (>= 0.9.20~)
-Standards-Version: 4.4.1
+ , dh-sequence-nodejs
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-supertest
 Vcs-Git: https://salsa.debian.org/js-team/node-supertest.git
 Homepage: https://github.com/visionmedia/supertest

## node-supertest 6.1.3

=== debian/changelog ===
node-supertest (6.1.3-1) unstable; urgency=medium

  * Team upload
  * New upstream version 6.1.3

 -- Xavier Guimard <yadd@debian.org>  Tue, 26 Jan 2021 15:19:58 +0100

node-supertest (6.1.2-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.5.1
  * New upstream version 6.1.2
  * Refresh patches

 -- Xavier Guimard <yadd@debian.org>  Mon, 25 Jan 2021 16:41:27 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  , node-superagent <!nocheck>
  , node-methods <!nocheck>
  , dh-sequence-nodejs
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/js-team/node-supertest
 Vcs-Git: https://salsa.debian.org/js-team/node-supertest.git
 Homepage: https://github.com/visionmedia/supertest

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-supertest-$1.tar.gz/ \
 https://github.com/visionmedia/supertest/tags .*/archive/v?([\d\.]+).tar.gz

## node-supertest 6.1.6

=== debian/changelog ===
node-supertest (6.1.6-1) unstable; urgency=medium

  * Uploaders: replace Leo Iannacone by myself, thanks for your work!
  * Update standards version to 4.6.0, no changes needed.
  * Fix GitHub tags regex
  * Fix filenamemangle
  * Drop dependency to nodejs
  * New upstream version 6.1.6

 -- Yadd <yadd@debian.org>  Tue, 09 Nov 2021 12:03:22 +0100

## node-supertest 6.2.2

=== debian/changelog ===
node-supertest (6.2.2-1) unstable; urgency=medium

  * New upstream version 6.2.2
  * Clean test modules
  * Drop patch

 -- Yadd <yadd@debian.org>  Sun, 20 Feb 2022 08:20:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: node-supertest
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
-Uploaders: Leo Iannacone <l3on@ubuntu.com>
+Uploaders: Yadd <yadd@debian.org>
 Section: javascript
 Testsuite: autopkgtest-pkg-nodejs
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13)
+ , dh-sequence-nodejs
  , node-superagent <!nocheck>
  , node-methods <!nocheck>
- , dh-sequence-nodejs
-Standards-Version: 4.5.1
+ , node-nock <!nocheck>
+ , node-propagate <!nocheck>
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-supertest
 Vcs-Git: https://salsa.debian.org/js-team/node-supertest.git
 Homepage: https://github.com/visionmedia/supertest
@@ -19,7 +21,6 @@
 Architecture: all
 Depends:
  ${misc:Depends}
- , nodejs
  , node-superagent
  , node-methods
 Description: superagent driven library for testing HTTP servers

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-supertest-$1/ \
 https://github.com/visionmedia/supertest/tags .*/archive/.*/v?([\d\.]+).tar.gz

## node-supertest 6.2.4

=== debian/changelog ===
node-supertest (6.2.4-1) unstable; urgency=medium

  * Declare compliance with policy 4.6.1
  * New upstream version 6.2.4

 -- Yadd <yadd@debian.org>  Mon, 04 Jul 2022 08:43:39 +0200

node-supertest (6.2.3-1) unstable; urgency=medium

  * New upstream version 6.2.3

 -- Yadd <yadd@debian.org>  Sun, 01 May 2022 17:14:12 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  , node-methods <!nocheck>
  , node-nock <!nocheck>
  , node-propagate <!nocheck>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/js-team/node-supertest
 Vcs-Git: https://salsa.debian.org/js-team/node-supertest.git
 Homepage: https://github.com/visionmedia/supertest

## node-supertest 6.3.0

=== debian/changelog ===
node-supertest (6.3.0-2) unstable; urgency=medium

  * Add test dependency to node-proxyquire

 -- Yadd <yadd@debian.org>  Wed, 05 Oct 2022 09:07:43 +0200

node-supertest (6.3.0-1) unstable; urgency=medium

  * New upstream version 6.3.0 (adds http2 support)

 -- Yadd <yadd@debian.org>  Wed, 05 Oct 2022 08:46:31 +0200

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
  , node-methods <!nocheck>
  , node-nock <!nocheck>
  , node-propagate <!nocheck>
+ , node-proxyquire <!nocheck>
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/js-team/node-supertest
 Vcs-Git: https://salsa.debian.org/js-team/node-supertest.git

## node-supertest 6.3.1

=== debian/changelog ===
node-supertest (6.3.1-1) unstable; urgency=medium

  * New upstream version 6.3.1

 -- Yadd <yadd@debian.org>  Tue, 01 Nov 2022 16:08:22 +0100

## node-supertest 6.3.2

=== debian/changelog ===
node-supertest (6.3.2-1) unstable; urgency=medium

  * Set upstream metadata fields: Repository-Browse
  * New upstream version 6.3.2
  * Update homepage

 -- Yadd <yadd@debian.org>  Sat, 03 Dec 2022 18:58:47 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/js-team/node-supertest
 Vcs-Git: https://salsa.debian.org/js-team/node-supertest.git
-Homepage: https://github.com/visionmedia/supertest
+Homepage: https://github.com/ladjs/supertest
 Rules-Requires-Root: no
 
 Package: node-supertest

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-supertest-$1/ \
 https://github.com/ladjs/supertest/tags .*/archive/.*/v?([\d\.]+).tar.gz

## node-supertest 7.0.0+~6.0.2

=== debian/changelog ===
node-supertest (7.0.0+~6.0.2-2) unstable; urgency=medium

  * Team upload
  * Update test to not query nodejs "http" error strings which may change
    (Closes: #1108816)

 -- Yadd <yadd@debian.org>  Sun, 06 Jul 2025 08:23:01 +0200

node-supertest (7.0.0+~6.0.2-1) unstable; urgency=medium

  * Team upload
  * Update standards version to 4.7.0, no changes needed.
  * Embed typescript declarations
  * New upstream version 7.0.0+~6.0.2

 -- Yadd <yadd@debian.org>  Sun, 28 Apr 2024 11:45:59 +0400

=== debian/control ===
Source: node-supertest
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Yadd <yadd@debian.org>
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs
 , node-methods <!nocheck>
 , node-nock <!nocheck>
 , node-propagate <!nocheck>
 , node-proxyquire <!nocheck>
 , node-superagent <!nocheck>
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/js-team/node-supertest
Vcs-Git: https://salsa.debian.org/js-team/node-supertest.git
Homepage: https://github.com/ladjs/supertest
Testsuite: autopkgtest-pkg-nodejs
Rules-Requires-Root: no

Package: node-supertest
Architecture: all
Depends: node-methods
 , node-superagent
 , ${misc:Depends}
Provides: ${nodejs:Provides}
Description: superagent driven library for testing HTTP servers
 This package provides a high-level abstraction for testing HTTP
 servers using the superagent Node.js module.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-supertest-$1/ \
 https://github.com/ladjs/supertest/tags .*/archive/.*/v?([\d\.]+).tar.gz group

opts="searchmode=plain,component=types-supertest,ctype=nodejs,pgpmode=none,filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-types-supertest-$1/" \
 https://registry.npmjs.org/@types/supertest https://registry.npmjs.org/@types/supertest/-/supertest-([\d\.]+)@ARCHIVE_EXT@ group

## node-supertest 7.1.4+~6.0.3

=== debian/changelog ===
node-supertest (7.1.4+~6.0.3-1) unstable; urgency=medium

  * Declare compliance with policy 4.7.2
  * Drop "Rules-Requires-Root: no"
  * debian/watch version 5
  * New upstream version 7.1.4+~6.0.3
  * Unfuzz patches

 -- Yadd <yadd@debian.org>  Sat, 25 Oct 2025 09:11:40 +0200

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,11 @@
  , node-propagate <!nocheck>
  , node-proxyquire <!nocheck>
  , node-superagent <!nocheck>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/js-team/node-supertest
 Vcs-Git: https://salsa.debian.org/js-team/node-supertest.git
 Homepage: https://github.com/ladjs/supertest
 Testsuite: autopkgtest-pkg-nodejs
-Rules-Requires-Root: no
 
 Package: node-supertest
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with nodejs
+	dh $@
 
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
 override_dh_auto_test:

=== debian/watch ===
Version: 5
Version-Schema: group

Template: Github
Owner: ladjs
Project: supertest

Component: types-supertest
Template: Npmregistry
Ctype: nodejs
Dist: @types/supertest
